#include <curl/curl.h>
#include "main.h"

#ifndef GB_CURL
#define GB_CURL
typedef void** Adv_ARRAY;

typedef struct
{
	int   type;
	int   auth;
	char *host;
	char *user;
	char *pwd;
	char *userpwd;
} Adv_proxy;

typedef struct
{
	char *user;
	char *pwd;
	char *userpwd;
	int auth;
} Adv_user;


void Adv_correct_url(char **buf,char *protocol);

void Adv_add_info      (Adv_ARRAY *Array, int *narray, void *Obj);
void Adv_remove_info   (Adv_ARRAY *Array,int *narray,void *Obj);

int Adv_Comp(char *str1,char *user, char *pwd);

void Adv_proxy_NEW     (Adv_proxy *proxy);
void Adv_proxy_CLEAR   (Adv_proxy *proxy);
void Adv_proxy_SET     (Adv_proxy *proxy,CURL *curl);
int  Adv_proxy_SETAUTH (Adv_proxy *user,int auth);
int  Adv_proxy_SETTYPE (Adv_proxy *proxy,int type);

void Adv_user_NEW      (Adv_user *user);
void Adv_user_CLEAR    (Adv_user *user);
void Adv_user_SET      (Adv_user *user,CURL *curl);
int  Adv_user_SETAUTH  (Adv_user *user,int auth);
#endif



